## kodi-pvr-stalker-dmo 19.0.4

=== depends/common/libxml2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(libxml2 VERSION 2.9.10)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

if (APPLE)
  # For some reason libxml2 requires this flag or it will create an insane amout of log output on compile
  list(APPEND libxml2_conf CFLAGS=-Wno-nullability-completeness)
endif()
list(APPEND libxml2_conf CPPFLAGS=-I${CMAKE_INSTALL_PREFIX}/include)
list(APPEND libxml2_conf LDFLAGS=-L${CMAKE_INSTALL_PREFIX}/lib)

include(ExternalProject)
externalproject_add(libxml2
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    CONFIGURE_COMMAND <SOURCE_DIR>/configure
                      --prefix=${CMAKE_INSTALL_PREFIX}
                      --without-python
                      --without-iconv
                      --without-http
                      --without-ftp
                      --without-catalog
                      --without-modules
                      --disable-shared
                      --with-pic
                      ${libxml2_conf})

externalproject_add_step(libxml2
                         RunSedCommand
                         COMMAND echo "Removing executable from makefile.in using BBB sed ${CMAKE_CURRENT_SOURCE_DIR}"
                         COMMAND bash -c "sed -ie 's|runtest$(EXEEXT)||' ${CMAKE_CURRENT_SOURCE_DIR}/Makefile.in"
                         COMMAND bash -c "sed -ie 's|testrecurse$(EXEEXT)||' ${CMAKE_CURRENT_SOURCE_DIR}/Makefile.in"
                         DEPENDERS configure)

install(CODE "Message(Done)")

=== debian/changelog ===
kodi-pvr-stalker-dmo (1:19.0.4-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Dec 2022 08:56:03 +0100

kodi-pvr-stalker-dmo (1:19.0.3-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 26 May 2022 15:22:30 +0200

kodi-pvr-stalker-dmo (1:19.0.2-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Feb 2022 15:15:38 +0100

kodi-pvr-stalker-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Jan 2022 09:43:25 +0100

kodi-pvr-stalker-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Sep 2021 08:48:53 +0200

kodi-pvr-stalker-dmo (1:7.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Jul 2021 07:56:53 +0200

kodi-pvr-stalker-dmo (1:7.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Jan 2021 15:18:09 +0100

kodi-pvr-stalker-dmo (1:3.4.10-dmo2) unstable; urgency=medium

  * Build with libjsoncpp24

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Dec 2020 19:47:59 +0100

kodi-pvr-stalker-dmo (1:3.4.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Sep 2019 09:01:49 +0200

kodi-pvr-stalker-dmo (1:3.4.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Jan 2019 11:37:16 +0100

kodi-pvr-stalker-dmo (1:2.8.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Aug 2017 09:59:14 +0200

kodi-pvr-stalker-dmo (1:2.8.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 May 2017 09:13:32 +0200

kodi-pvr-stalker-dmo (1:2.8.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 Mar 2017 11:05:59 +0200

kodi-pvr-stalker-dmo (1:2.8.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Mar 2017 13:16:59 +0100

kodi-pvr-stalker-dmo (1:2.8.3-dmo2) unstable; urgency=medium

  * Add libxml2-dev and zlib1g-dev to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Feb 2017 16:50:17 +0100

kodi-pvr-stalker-dmo (1:2.8.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Feb 2017 16:00:32 +0100

kodi-pvr-stalker-dmo (1:1.0.12-dmo2) unstable; urgency=medium

  * Rebuild against libp8-platform2.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Oct 2016 15:54:23 +0200

kodi-pvr-stalker-dmo (1:1.0.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Jun 2016 14:57:04 +0200

kodi-pvr-stalker-dmo (1:1.0.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 May 2016 01:08:34 +0200

kodi-pvr-stalker-dmo (1:1.0.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 May 2016 11:22:19 +0200

kodi-pvr-stalker-dmo (1:1.0.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Apr 2016 08:17:38 +0200

kodi-pvr-stalker-dmo (1:1.0.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 25 Mar 2016 00:44:52 +0100

kodi-pvr-stalker-dmo (1:1.0.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Mar 2016 07:54:18 +0100

kodi-pvr-stalker-dmo (1:1.0.6-dmo1) unstable; urgency=medium

  * Oooops, 2.2.0 come from the master git branch. Here it is 1.0.6 from
    Jarvis git branch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Mar 2016 09:56:14 +0100

kodi-pvr-stalker-dmo (2.2.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Mar 2016 08:33:49 +0100

=== debian/control ===
Source: kodi-pvr-stalker-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/kodi-pvr/pvr.stalker
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, libxml2-dev, libjsoncpp-dev,
 zlib1g-dev, ninja-build, dh-sequence-kodiaddon (>= 5:19~)

Package: kodi-pvr-stalker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:PVRAPI}
Description: Stalker Middleware PVR client addon for Kodi
 This package contains the Stalker Middleware PVR (Personal Video Recorder)
 addon for Kodi, the award winning free and open source software
 media-player and entertainment hub for all your digital media.

## kodi-pvr-stalker-dmo 20.3.1

=== depends/windows/libxml2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(xml2 VERSION 2.9.10 LANGUAGES C)

find_package(ZLIB REQUIRED)
list(APPEND CMAKE_REQUIRED_INCLUDES ${ZLIB_INCLUDE_DIRS})

set(LIBXML_MAJOR_VERSION 2)
set(LIBXML_MINOR_VERSION 9)
set(LIBXML_MICRO_VERSION 10)
set(LIBXML_MICRO_VERSION_SUFFIX)
set(LIBXML_VERSION ${LIBXML_MAJOR_VERSION}.${LIBXML_MINOR_VERSION}.${LIBXML_MICRO_VERSION}${LIBXML_MICRO_VERSION_SUFFIX})
math(EXPR LIBXML_VERSION_INFO "${LIBXML_MAJOR_VERSION} + ${LIBXML_MINOR_VERSION}")
set(LIBXML_VERSION_INFO ${LIBXML_VERSION_INFO}:${LIBXML_MICRO_VERSION}:${LIBXML_MINOR_VERSION})
math(EXPR LIBXML_VERSION_NUMBER "${LIBXML_MAJOR_VERSION} * 10000 + ${LIBXML_MINOR_VERSION} * 100 + ${LIBXML_MICRO_VERSION}")
set(VERSION ${LIBXML_VERSION})
set(LIBXML_VERSION_EXTRA)

set(WITH_TRIO 0)
set(WITH_THREADS 0)
set(WITH_THREAD_ALLOC 0)
set(WITH_TREE 1)
set(WITH_OUTPUT 1)
set(WITH_PUSH 1)
set(WITH_READER 1)
set(WITH_PATTERN 0)
set(WITH_WRITER 0)
set(WITH_SAX1 0)
set(WITH_FTP 0)
set(WITH_HTTP 0)
set(WITH_VALID 1)
set(WITH_HTML 1)
set(WITH_LEGACY 0)
set(WITH_C14N 0)
set(WITH_CATALOG 0)
set(WITH_DOCB 0)
set(WITH_XPATH 0)
set(WITH_XPTR 0)
set(WITH_XINCLUDE 0)
set(WITH_ICONV 0)
set(WITH_ICU 0)
set(WITH_ISO8859X 1)
set(WITH_DEBUG 0)
set(WITH_MEM_DEBUG 0)
set(WITH_RUN_DEBUG 0)
set(WITH_REGEXPS 1)
set(WITH_SCHEMAS 0)
set(WITH_SCHEMATRON 0)
set(WITH_MODULES 0)
set(MODULE_EXTENSION 0)
set(WITH_ZLIB 1)
set(WITH_LZMA 0)

file(COPY include/win32config.h DESTINATION ${PROJECT_SOURCE_DIR})
file(COPY win32/VC10/config.h DESTINATION ${PROJECT_SOURCE_DIR})

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix "$")
set(exec_prefix "${exec_prefix}{")
set(exec_prefix "${exec_prefix}prefix")
set(exec_prefix "${exec_prefix}}")

set(libdir "$")
set(libdir "${libdir}{")
set(libdir "${libdir}exec_prefix")
set(libdir "${libdir}}/lib")

set(includedir "$")
set(includedir "${includedir}{")
set(includedir "${includedir}prefix")
set(includedir "${includedir}}/include")

set(XML_INCLUDEDIR "-I$")
set(XML_INCLUDEDIR "${XML_INCLUDEDIR}{")
set(XML_INCLUDEDIR "${XML_INCLUDEDIR}includedir")
set(XML_INCLUDEDIR "${XML_INCLUDEDIR}}/libxml2")

set(Z_LIBS "-lz")

configure_file(include/libxml/xmlversion.h.in ${PROJECT_SOURCE_DIR}/include/libxml/xmlversion.h)
configure_file(libxml-2.0.pc.in ${PROJECT_SOURCE_DIR}/libxml-2.0.pc)

include_directories(${ZLIB_INCLUDE_DIRS} include)
file(GLOB SOURCES *.c)

file(GLOB SOURCES_EXCLUDE test*.c runsuite.c runtest.c runxmlconf.c trio*.c xmlcatalog.c)
list(REMOVE_ITEM SOURCES ${SOURCES_EXCLUDE})

add_library(xml2 STATIC ${SOURCES})
target_link_libraries(xml2 ${ZLIB_LIBRARIES})

add_definitions(-DHAVE_ZLIB_H -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)
set_target_properties(xml2 PROPERTIES COMPILE_FLAGS "/W1")

install(TARGETS xml2 DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
install(DIRECTORY include/libxml DESTINATION ${CMAKE_INSTALL_PREFIX}/include/libxml2/)
install(FILES libxml-2.0.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig)

=== debian/changelog ===
kodi-pvr-stalker-dmo (1:20.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 16:18:47 +0100

kodi-pvr-stalker-dmo (1:19.0.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Sep 2022 08:40:49 +0200

kodi-pvr-stalker-dmo (1:19.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 26 May 2022 11:28:13 +0200

kodi-pvr-stalker-dmo (1:19.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Feb 2022 13:20:54 +0100

kodi-pvr-stalker-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Jan 2022 14:00:39 +0100

kodi-pvr-stalker-dmo (1:19.0.0-dmo2) unstable; urgency=medium

  * Build with libjsoncpp25

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Dec 2021 00:49:06 +0100

kodi-pvr-stalker-dmo (1:19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Sep 2021 07:36:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/kodi-pvr/pvr.stalker
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), cmake, libxml2-dev, libjsoncpp-dev,
  zlib1g-dev, ninja-build, dh-sequence-kodiaddon (>= 5:19~)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_installchangelogs:
	dh_installchangelogs pvr.stalker/changelog.txt

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/kodi-pvr/pvr.stalker/tags \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-pvr-stalker-dmo 21.1.3

=== debian/changelog ===
kodi-pvr-stalker-dmo (1:21.1.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Jan 2025 01:44:23 +0100

kodi-pvr-stalker-dmo (1:21.1.2-dmo2) unstable; urgency=medium

  * Build with libjsoncpp26

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Sep 2024 15:25:31 +0200

kodi-pvr-stalker-dmo (1:21.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Jul 2024 22:07:08 +0200

kodi-pvr-stalker-dmo (1:21.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Jul 2024 16:29:09 +0200

kodi-pvr-stalker-dmo (1:21.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Jun 2024 02:28:02 +0200

kodi-pvr-stalker-dmo (1:21.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Apr 2024 00:20:06 +0200

kodi-pvr-stalker-dmo (1:21.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 13:55:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/kodi-pvr/pvr.stalker
-Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), cmake, libxml2-dev, libjsoncpp-dev,
- zlib1g-dev, ninja-build, dh-sequence-kodiaddon (>= 5:19~)
+ zlib1g-dev, ninja-build, dh-sequence-kodiaddon (>= 5:21~), quilt,
 
 Package: kodi-pvr-stalker
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ -Scmake+ninja
+	dh $@ -Scmake+ninja --with quilt
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=4

https://github.com/kodi-pvr/pvr.stalker/tags \
(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@
